# Uses of Class
org.apache.lucene.queries.spans.Spans

Packages that use Spans
Package
Description
org.apache.lucene.queries.payloads
The payloads package provides Query mechanisms for finding and using payloads.
org.apache.lucene.queries.spans
The calculus of spans.

## Uses of Spans in org.apache.lucene.queries.payloads

Methods in org.apache.lucene.queries.payloads that return Spans
Modifier and Type
Method
Description
`Spans`
SpanPayloadCheckQuery.SpanPayloadCheckWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`

## Uses of Spans in org.apache.lucene.queries.spans

Subclasses of Spans in org.apache.lucene.queries.spans
Modifier and Type
Class
Description
`class`
`FilterSpans`
A `Spans` implementation wrapping another spans instance, allowing to filter spans matches easily by implementing `FilterSpans.accept(org.apache.lucene.queries.spans.Spans)`
`class`
`NearSpansOrdered`
A Spans that is formed from the ordered subspans of a SpanNearQuery where the subspans do not overlap and have a maximum slop between them.
`class`
`NearSpansUnordered`
Similar to `NearSpansOrdered`, but for the unordered case.
`class`
`TermSpans`
Expert: Public for extension only.
Fields in org.apache.lucene.queries.spans declared as Spans
Modifier and Type
Field
Description
`protected final Spans`
FilterSpans.`in`
The wrapped spans instance.
`final Spans`
SpanDisiWrapper.`spans`
`protected final Spans`
SpanScorer.`spans`
Methods in org.apache.lucene.queries.spans that return Spans
Modifier and Type
Method
Description
`Spans`
SpanContainingQuery.SpanContainingWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
Return spans from `big` that contain at least one spans from `little`.
`Spans`
SpanNearQuery.SpanNearWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
`Spans`
SpanNotQuery.SpanNotWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
`Spans`
SpanOrQuery.SpanOrWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
`Spans`
SpanPositionCheckQuery.SpanPositionCheckWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
`Spans`
SpanScorer.`getSpans()`
return the Spans for this Scorer *
`Spans`
SpanTermQuery.SpanTermWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
`abstract Spans`
SpanWeight.`getSpans(LeafReaderContext ctx, SpanWeight.Postings requiredPostings)`
Expert: Return a Spans object iterating over matches from this Weight
`Spans`
SpanWithinQuery.SpanWithinWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
Return spans from `little` that are contained in a spans from `big`.
Methods in org.apache.lucene.queries.spans with parameters of type Spans
Modifier and Type
Method
Description
`protected abstract FilterSpans.AcceptStatus`
FilterSpans.`accept(Spans candidate)`
Returns YES if the candidate should be an accepted match, NO if it should not, and NO_MORE_IN_CURRENT_DOC if iteration should move on to the next document.
`protected FilterSpans.AcceptStatus`
SpanFirstQuery.`acceptPosition(Spans spans)`
`protected abstract FilterSpans.AcceptStatus`
SpanPositionCheckQuery.`acceptPosition(Spans spans)`
Implementing classes are required to return whether the current position is a match for the passed in "match" `SpanQuery`.
`protected FilterSpans.AcceptStatus`
SpanPositionRangeQuery.`acceptPosition(Spans spans)`
Constructors in org.apache.lucene.queries.spans with parameters of type Spans
Modifier
Constructor
Description
`protected`
`FilterSpans(Spans in)`
Wrap the given `Spans`.
``
`SpanDisiWrapper(Spans spans)`
``
`SpanScorer(Spans spans, LeafSimScorer docScorer)`
Sole constructor.
Constructor parameters in org.apache.lucene.queries.spans with type arguments of type Spans
Modifier
Constructor
Description
``
`NearSpansOrdered(int allowedSlop, List<Spans> subSpans)`
``
`NearSpansUnordered(int allowedSlop, List<Spans> subSpans)`